import React from 'react';
import { NavigationContainer } from '@react-navigation/native';
import AppNavigator from './src/navigation/AppNavigator';

import { TasksProvider } from './src/context/TasksContext';
import { ThemeProvider } from '@rneui/themed';

export default function App() {
  return (
    <ThemeProvider>
      <TasksProvider>
        <NavigationContainer>
          <AppNavigator />
        </NavigationContainer>
      </TasksProvider>
    </ThemeProvider>
  );
}
