// 配置文件中的位置选项
export interface LocationOption {
  label: string;
  value: string;
}

// 配置文件中的载荷选项
export interface PayloadOption {
  label: string;
  value: string;
}

// 配置文件中的机器人动作选项
export interface RobotActionOption {
  label: string;
  value: string; // 动作的名称，作为 Picker 的 value
  actionId: string;
}

// 完整的配置文件结构
export interface AppConfig {
  version: string;
  locations: LocationOption[];
  locationsBays: LocationOption[];
  payloads: PayloadOption[];
  robotActions: RobotActionOption[];
  serverUrl?: string; // 服务器地址
  apiEndpoints?: {
    getTasks: string;
    getTaskDetail: string;
    runTask: string;
  };
}

// 设置存储接口
export interface AppSettings {
  configFileName: string;
  serverUrl: string;
}
